package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcSitePrice;
import org.dromara.system.domain.bo.TblDzbcSitePriceBo;
import org.dromara.system.domain.vo.TblDzbcSitePriceVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

public interface ITblDzbcSitePriceService {

    TblDzbcSitePriceVo queryById(Long id);

    TableDataInfo<TblDzbcSitePriceVo> queryPageList(TblDzbcSitePriceBo bo, PageQuery pageQuery);

    List<TblDzbcSitePriceVo> queryList(TblDzbcSitePriceBo bo);

    List<TblDzbcSitePriceVo> queryByPathId(Long pathId);

    Boolean insertByBo(TblDzbcSitePriceBo bo);

    Boolean updateByBo(TblDzbcSitePriceBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
